package com.bassbooster.soundeffects.equalizer.database

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "effects")
class EffectsData {
    @PrimaryKey(autoGenerate = true)
    var id: Int = 0

    @ColumnInfo(name = "name")
    var name: String = ""

    @ColumnInfo(name = "seekbar0")
    var seekbar0: Int = 0

    @ColumnInfo(name = "seekbar1")
    var seekbar1: Int = 0

    @ColumnInfo(name = "seekbar2")
    var seekbar2: Int = 0

    @ColumnInfo(name = "seekbar3")
    var seekbar3: Int = 0

    @ColumnInfo(name = "seekbar4")
    var seekbar4: Int = 0

    @ColumnInfo(name = "bass_strength")
    var bassStrength: Short = 0

    @ColumnInfo(name = "reverb_preset")
    var reverbPreset: Short = 0
}